<!DOCTYPE html>
<html><head>
<title>eric7.PipInterface</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.PipInterface</h1>
<p>
Package implementing the various pip dialogs and data.
</p>



<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.PipInterface.Pip.html">Pip</a></td>
<td>Package implementing the pip GUI logic.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipDialog.html">PipDialog</a></td>
<td>Module implementing a dialog showing the output of a pip command.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipFileSelectionDialog.html">PipFileSelectionDialog</a></td>
<td>Module implementing a dialog to enter a file to be processed.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipFreezeDialog.html">PipFreezeDialog</a></td>
<td>Module implementing a dialog to generate a requirements file.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipLicensesDialog.html">PipLicensesDialog</a></td>
<td>Module implementing a dialog to show the licenses of an environment.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipPackageDetailsDialog.html">PipPackageDetailsDialog</a></td>
<td>Module implementing a dialog to show details about a package.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipPackagesInputDialog.html">PipPackagesInputDialog</a></td>
<td>Module implementing a dialog to enter package specifications.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipPackagesWidget.html">PipPackagesWidget</a></td>
<td>Module implementing the pip packages management widget.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipPackagesWindow.html">PipPackagesWindow</a></td>
<td>Module implementing the standalone pip packages management window.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.PipVulnerabilityChecker.html">PipVulnerabilityChecker</a></td>
<td>Module implementing a Python package vulnerability checker.</td>
</tr>
<tr>
<td><a href="eric7.PipInterface.piplicenses.html">piplicenses</a></td>
<td>pip-licenses</td>
</tr>
</table>
</body></html>
